import java.net.*;
import java.io.*;

public class Server {
   public static void main( String argv[] ) {
      int input;
      try {
         ServerSocket ss = new ServerSocket( 4711 );
         Socket       s  = ss.accept();
         InputStream  i  = s.getInputStream();
         InputStreamReader in = new InputStreamReader(i);
         while ((input = in.read()) != -1)
         {
         	System.out.print ( (char)input );
         }
         in.close();
         i.close();
         s.close();
         ss.close();
      }
      catch ( IOException e ) {
         System.err.println( "Client: IO-Fehler " + e.getMessage() );
         System.exit( 1 );
      }
   }
}