import java.net.*;
import java.io.*;


public class Client {

   public static void main( String argv[] ) {
      try {
         Socket s = new Socket( "localhost", 4711 );
         OutputStream o = s.getOutputStream();
         OutputStreamWriter out = new OutputStreamWriter(o);
         out.write( "Hello, world!" );
         out.close();
         o.close();
         s.close();
      }
      catch ( UnknownHostException e ) {
         System.err.println( "Client: Unknown Host " + e.getMessage() );
         System.exit( 1 );
      }
      catch ( IOException e ) {
         System.err.println( "Client: IO-Fehler " + e.getMessage() );
         System.exit( 1 );
      }
   }
}
